Package org.apache.tomcat.jdbc.pool

## Class MultiLockFairBlockingQueue.FairIterator

- java.lang.Object
- - org.apache.tomcat.jdbc.pool.MultiLockFairBlockingQueue.FairIterator

- All Implemented Interfaces:
    `java.util.Iterator<E>`
  Enclosing class:
    MultiLockFairBlockingQueue<E>

      protected class MultiLockFairBlockingQueue.FairIterator
      extends java.lang.Object
      implements java.util.Iterator<E>

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FairIterator()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `hasNext()` |
    `E` | `next()` |
    `void` | `remove()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining`

- - ### Constructor Detail

    - #### FairIterator

          public FairIterator()

  - ### Method Detail

    - #### hasNext

          public boolean hasNext()

      Specified by:
        `hasNext` in interface `java.util.Iterator<E>`

    - #### next

          public E next()

      Specified by:
        `next` in interface `java.util.Iterator<E>`

    - #### remove

          public void remove()

      Specified by:
        `remove` in interface `java.util.Iterator<E>`